From 2be6dd214d8910902a8a350268461ab604053fbe Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Mon, 30 Oct 2017 09:51:31 -0700
Subject: [PATCH] Change build configuration to support 2K NAND Flash

Change commands to generate boot.img and system UBI file
with image header to support 2K NAND flash size.
---
 conf/machine/mdmcalifornium.conf | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/conf/machine/mdmcalifornium.conf b/conf/machine/mdmcalifornium.conf
index a31a25f..0c59358 100644
--- a/conf/machine/mdmcalifornium.conf
+++ b/conf/machine/mdmcalifornium.conf
@@ -23,16 +23,16 @@ MACHINE_FEATURES += "keyboard"
 MACHINE_DTS_NAME = "mdmcalifornium"
 
 #UBINIZE Args
-UBINIZE_ARGS = "-m 4096 -p 256KiB -s 4096"
+UBINIZE_ARGS = "-m 2048 -p 128KiB -s 2048"
 #MKUBIFS Args
-MKUBIFS_ARGS = "-m 4096 -e 253952 -c 2146 -F"
+MKUBIFS_ARGS = "-m 2048 -e 126976 -c 2047 -F"
 #Volume sizes
 SYSTEM_VOLUME_SIZE = "90MiB"
 CACHE_VOLUME_SIZE = "70MiB"
 
 MACHINE_KERNEL_BASE = "0x80000000"
 MACHINE_KERNEL_TAGS_OFFSET = "0x82000000"
-PAGE_SIZE = '4096'
+PAGE_SIZE = '2048'
 
 EXTRA_IMAGECMD_mdm9640 = "-N 2048"
 
-- 
1.8.2.1

